# 3.  Configuring the Key9 SSH client

After the installation is complete, you will need to modify certain options in the main Key9 configuration file.  By default, this file is located at `/opt/k9/etc/k9.yaml`.

There are three options that require editing. They are:

1. `machine_group` - This is the Key9 group that this machine will be a member of. Any users that want to access this machine will need to also be a member of this group.
2. `company_uuid` - This is the unique identifier for your company or organization. This can be found in the Key9 console. (see below).
3. `api_key` - This is the "secret" used to access public keys for users attempting to access this system.

Within the Key9 web interface, DESCRIBE WHERE YOU CAN FIND THE API/COMPABY UUID GOES HERE. <br>

Note: To test, you can execute the following command with a user who already has SSH keys in Key9. If the command returns public keys for the user, Key9 SSH ran successfully.

`su - key9 --shell=/bin/bash -c "/opt/k9/bin/k9-ssh --user={username}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.k9.io/key9-identity/ssh/installation-and-setup/key9-ssh-for-debian-12-bookworm-howto/3.-configuring-the-key9-ssh-client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
